Bug 198923 - HIGHMEM not enabled in recent, standard kernels (2139, 2141)
HIGHMEM not enabled in recent, standard kernels (2139, 2141)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-14 13:30 EDT by Michael Gilchrist
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 08:35:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages file (37.84 KB, text/plain)
2006-07-14 13:30 EDT, Michael Gilchrist
no flags Details

  None (edit)
Description Michael Gilchrist 2006-07-14 13:30:40 EDT
Description of problem:  recent kernels cannot access HIGHMEM 


Version-Release number of selected component (if applicable): 2.6.17-1.2139 and
2141 

How reproducible: Always


Steps to Reproduce:
1. Boot machine
2.
3.
  
Actual results:


Expected results:


Additional info: from /var/log/messages I get:

Jul  9 16:43:11 localhost kernel: Warning only 896MB will be used.
Jul  9 16:43:11 localhost kernel: Use a HIGHMEM enabled kernel.
Jul  9 16:43:11 localhost kernel: 896MB LOWMEM available.

Full file attached
Comment 1 Michael Gilchrist 2006-07-14 13:30:40 EDT
Created attachment 132451 [details]
/var/log/messages file
Comment 2 Dave Jones 2006-07-15 23:51:08 EDT
Well this is extremely puzzling. The config for that kernel shows..

# CONFIG_NOHIGHMEM is not set
CONFIG_HIGHMEM4G=y
# CONFIG_HIGHMEM64G is not set
CONFIG_HIGHMEM=y


So right now, this is a real head-scratcher.
Comment 3 Dave Jones 2006-07-15 23:55:19 EDT
ahh, are you running the 586 kernel perhaps ? That would explain it.
_why_ or _how_ you'd end up doing that on a Pentium-M is beyond me though.
Comment 4 Michael Gilchrist 2006-07-16 00:50:47 EDT
This is what I get when I run: uname -a

> Linux localhost 2.6.16-1.2111_FC4 #1 Sat May 20 20:02:16 EDT 2006 i686 i686
i386 GNU/Linux

running cat /proc/cpuinfo results in

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 9
model name      : Intel(R) Pentium(R) M processor 1600MHz

BTW, shouldn't I b eable to run a i586 kernel on this machine? (or an i686)
Comment 5 Dave Jones 2006-09-16 22:39:32 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 6 Dave Jones 2006-10-16 17:39:54 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Dave Jones 2006-11-24 17:11:23 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 8 Jon Stanley 2008-02-05 08:35:06 EST
Closing since there was an error in previous mass-close and they remained in
NEEDINFO.

Note You need to log in before you can comment on or make changes to this bug.